%define major 3
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	3.9.2
%define subrel 7
Release:	%mkrel 2
License:	BSD-like
Group:		System/Libraries
URL:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
Patch1:		tiff-3.9.1-no_contrib.diff
Patch2:		libtiff-jpeg-scanline.patch
Patch3:		libtiff-ycbcr-clamp.patch
Patch4:		libtiff-CVE-2010-1411.patch
Patch5:		libtiff-CVE-2010-2065.patch
Patch6:		libtiff-tiffcp-no-subsample.patch
Patch7:		libtiff-unknown-tags.patch
Patch8:		libtiff-3samples.patch
Patch9:		libtiff-subsampling.patch
Patch10:	libtiff-tiffdump.patch
Patch11:	tiff-3.9.1-CVE-2010-2067.diff
Patch12:	tiff-3.9.1-CVE-2010-2233.diff
Patch13:	libtiff-unknown-fix.patch
Patch14:	tiff-3.9.1-CVE-2010-2482.diff
Patch15:	tiff-3.9.2-CVE-2010-3087.diff
Patch16:	tiff-3.9.2-libjpeg7+.diff
Patch17:	libtiff-CVE-2009-2347.patch
Patch18:	libtiff-CVE-2011-0192.patch
Patch19:	tiff-3.9.1-CVE-2011-0191.diff
Patch20:	libtiff-CVE-2011-1167.patch
Patch21:	tiff-3.9.2-CVE-2009-5022.diff
Patch22:	tiff-3.9.2-CVE-2012-1173.diff
Patch23:	libtiff-CVE-2012-2088.patch
Patch24:	tiff-3.9.2-CVE-2012-2113.diff
BuildRequires:	jbig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	mesaglut-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep

%setup -q -n tiff-%{version}
%patch1 -p1
%patch2 -p1 -b .jpeg-scanline
%patch3 -p1 -b .CVE-2010-2595
%patch4 -p1 -b .CVE-2010-1411
%patch5 -p1 -b .CVE-2010-2065
%patch6 -p1 -b .tiffcp-no-subsample
%patch7 -p1 -b .CVE-2010-2481
%patch8 -p1 -b .CVE-2010-2483
%patch9 -p1 -b .CVE-2010-2597
%patch10 -p1 -b .CVE-2010-4665
%patch11 -p1 -b .CVE-2010-2067
%patch12 -p1 -b .CVE-2010-2233
%patch13 -p1 -b .unknown-fix
%patch14 -p1 -b .CVE-2010-2482
%patch15 -p1 -b .CVE-2010-3087
%patch16 -p0 -b .libjpeg7
%patch17 -p1 -b .CVE-2009-2347
%patch18 -p1 -b .CVE-2011-0192
%patch19 -p0 -b .CVE-2011-0191
%patch20 -p1 -b .CVE-2011-1167
%patch21 -p0 -b .CVE-2009-5022
%patch22 -p1 -b .CVE-2012-1173
%patch23 -p1 -b .CVE-2012-2088
%patch24 -p0 -b .CVE-2012-2113

# cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
export LDFLAGS="%{ldflags}"
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%configure2_5x --disable-old-jpeg

%make

%check
make check

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_datadir}}

rm -rf installed_docs

%makeinstall LIBTIFF_DOCDIR=`pwd`/installed_docs

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files progs
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root,755)
%doc installed_docs/*
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%files -n %{staticdevelname}
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a


%changelog
* Wed Jul 04 2012 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.7mdv2010.2
- P23: security fix for CVE-2012-2088 (rhel6)
- P24: security fix for CVE-2012-2113 (rhel6)

* Fri Mar 30 2012 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.6mdv2010.2
- P22: security fix for CVE-2012-1173

* Fri Apr 22 2011 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.5mdv2010.2
- P21: security fix for CVE-2009-5022 (rhel6)
- P10: fixed CVE-2010-4665

* Mon Apr 04 2011 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.4mdv2010.2
- P18: security fix for CVE-2011-0192 (updated patch,rhel6)
- P19: security fix for CVE-2011-0191 (debian)
- P20: security fix for CVE-2011-1167 (rhel6)

* Thu Mar 03 2011 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.3mdv2010.2
- P5: security fix for CVE-2010-2065, additional fixes
- P17: security fix for CVE-2009-2347 (was incomplete, redhat)
- P18: security fix for CVE-2011-0192 (rhel6)

* Thu Sep 30 2010 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.2mdv2010.1
- P15: security fix for CVE-2010-3087
- P16: fix a crash with libjpeg7 and up

* Thu Aug 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2.1mdv2010.1
- P2: http://bugzilla.maptools.org/show_bug.cgi?id=1936 (Reading YCbCr JPEG-in-TIFF files via TIFFReadScanline doesn't work)
- P3: security fix for CVE-2010-2595
- P4: security fix for CVE-2010-1411
- P5: security fix for CVE-2010-2065
- P6: http://bugzilla.maptools.org/show_bug.cgi?id=2097 (JPEG in TIFF broken)
- P7: security fix for CVE-2010-2481
- P8: security fix for CVE-2010-2483
- P9: security fix for CVE-2010-2597
- P10: http://bugzilla.maptools.org/show_bug.cgi?id=2218 (tiffdump crashes on unreasonably large dircount)
- P11: security fix for CVE-2010-2067
- P12: security fix for CVE-2010-2233
- P13: http://bugzilla.maptools.org/show_bug.cgi?id=2210 (additional fixes for CVE-2010-2481)
- P14: security fix for CVE-2010-2482

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-2mdv2010.1
+ Revision: 488784
- rebuilt against libjpeg v8

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.2-1mdv2010.1
+ Revision: 461145
- 3.9.2
- the format string patch (P0) was applied upstream

* Fri Oct 02 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.1-4mdv2010.0
+ Revision: 452663
- fix #54150 (SPEC file contains wrong project URL)

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.1-3mdv2010.0
+ Revision: 422565
- fix obsoletes (anssi)

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.1-2mdv2010.0
+ Revision: 422558
- the devel package obsoletes itself (anssi)

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3.9.1-1mdv2010.0
+ Revision: 422431
- 3.9.1
- drop all patches implemented upstream
- rediffed the string format patch
- fix cleaner docs
- cleanup the spec file a bit

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-16mdv2010.0
+ Revision: 416523
- rebuilt against libjpeg v7

* Tue Jul 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-15mdv2010.0
+ Revision: 395912
- P6: security fix for CVE-2009-2285 (redhat)
- P7: security fix for CVE-2009-2347 (redhat)

* Mon May 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-14mdv2010.0
+ Revision: 374654
- fix #50788 (tiff2pdf ignores JPEG compression quality)
- fix build

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-13mdv2009.1
+ Revision: 315623
- use LDFLAGS from the %%configure macro
- use %%optflags
- fix build with -Werror=format-security (P4)

* Fri Sep 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-12mdv2009.0
+ Revision: 281203
- P3: security fix for CVE-2008-2327

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.8.2-11mdv2009.0
+ Revision: 223011
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-10mdv2008.1
+ Revision: 178953
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 3.8.2-8mdv2007.0
+ Revision: 74790
- rebuild
- bzip2 cleanup
- rebuild
- bunzip patches
- Import libtiff

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-5mdv2007.0
- fix %%files in -devel so we don't provide %%{multiarch_includedir}

* Wed Aug 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-4mdv2007.0
- P2: security fix for CVE-2006-3459-thru-3465 
- rpmlint

* Fri Jun 16 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-3mdv2007.0
- P1: security fix for CVE-2006-2193

* Wed Jun 07 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-2mdv2007.0
- P0: security fix for CVE-2006-2656

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 3.8.2-1mdk
- 3.8.2

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 3.6.1-14mdk
- from Vincent Danen: security fix for CVE-2005-1544 (P105)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6.1-13mdk
- Rebuild

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 3.6.1-12mdk
- from Stew Benedict: security update for CAN-2005-2452 (P104)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-11mdk
- Patch8: fix man page about tiffsplit filename range (CVS, #12071)

* Tue Mar 22 2005 Olivier Blin <oblin@mandrakesoft.com> 3.6.1-10mdk
- update Patch103: do not abort if an unknown tag is found (#13125)

* Thu Mar 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6.1-9mdk
- build fix: do not pass cflags to make

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.6.1-8mdk
- cross-endian multiarch fixes

* Tue Jan 25 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.6.1-7mdk
- parallel build
- really fix MDKSA-2005:001

* Tue Jan 25 2005 Michael Scherer <misc@mandrake.org> 3.6.1-6mdk
- security fix ( patch #102 )

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-5mdk
- added security fixes for buffer and integer overflows (P100 & P101)

* Fri Oct 08 2004 Olivier Blin <blino@mandrake.org> 3.6.1-4mdk
- fix Hylafax decoding, see :
  http://bugs.hylafax.org/bugzilla/show_bug.cgi?id=500

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6.1-3mdk
- add missing headers
- misc spec file fixes

* Fri May 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-2mdk
- Merge back changes I clobbered
- rediff P0,P1,P4

* Sat May 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.1-1mdk
- 3.6.1

